widgets: Add ColorPickerButton to allow picking color from anywhere on
ClosedPublic

Authored by suhas2go on Aug 20 2017, 6:58 PM.

Diff Detail

Repository
rPTV Pitivi
suhas2go created this revision.Aug 20 2017, 6:58 PM
aleb added inline comments.Aug 21 2017, 8:45 AM
pitivi/utils/widgets.py
1433

*ourself (without space)

suhas2go updated this revision to Diff 6363.Aug 23 2017, 1:39 PM
suhas2go edited the summary of this revision. (Show Details)

added a value-changed signal to the picker and GObject properties allow binding

suhas2go marked an inline comment as done.Aug 23 2017, 1:40 PM
aleb requested changes to this revision.Aug 30 2017, 8:48 AM

looks good!

pitivi/utils/widgets.py
1397

remove the default_ prefix?

1409

clicked_cb ?

1423

move on the previous line

This revision now requires changes to proceed.Aug 30 2017, 8:48 AM
suhas2go marked 2 inline comments as done.Aug 30 2017, 9:15 AM
suhas2go added inline comments.Aug 30 2017, 9:18 AM
pitivi/utils/widgets.py
1423

Changed this to BUTTON_RELEASE_MASK. As mentioned below in a comment, unnecessary events will get triggered otherwise.

aleb added inline comments.Aug 30 2017, 9:25 AM
pitivi/effects.py
643

use effect_name here

pitivi/utils/widgets.py
1436

Maybe log a warning

Closed by commit rPTV6c1fb0f5f00a: widgets: Add ColorPickerButton for picking color anywhere on the screen (authored by Suhas Nayak <suhas2go@gmail.com>, committed by aleb). · Explain WhySep 5 2017, 10:55 PM
This revision was automatically updated to reflect the committed changes.